<a id="types-aiobotocore-securityhub"></a>

# types-aiobotocore-securityhub

[![PyPI - types-aiobotocore-securityhub](https://img.shields.io/pypi/v/types-aiobotocore-securityhub.svg?color=blue)](https://pypi.org/project/types-aiobotocore-securityhub)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-securityhub.svg?color=blue)](https://pypi.org/project/types-aiobotocore-securityhub)
[![Docs](https://img.shields.io/readthedocs/types-aiobotocore.svg?color=blue)](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_securityhub/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-securityhub?color=blue)](https://pypistats.org/packages/types-aiobotocore-securityhub)

![boto3.typed](https://github.com/youtype/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[aiobotocore.SecurityHub 2.5.2](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/securityhub.html#SecurityHub)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 7.14.5](https://github.com/youtype/mypy_boto3_builder).

More information can be found on
[types-aiobotocore](https://pypi.org/project/types-aiobotocore/) page and in
[types-aiobotocore-securityhub docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_securityhub/).

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/youtype/mypy_boto3_builder/raw/main/demo.gif)

- [types-aiobotocore-securityhub](#types-aiobotocore-securityhub)
  - [How to install](#how-to-install)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [How to uninstall](#how-to-uninstall)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Emacs](#emacs)
    - [Sublime Text](#sublime-text)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [How it works](#how-it-works)
  - [What's new](#what's-new)
    - [Implemented features](#implemented-features)
    - [Latest changes](#latest-changes)
  - [Versioning](#versioning)
  - [Thank you](#thank-you)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `SecurityHub` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[securityhub]'


# Lite version does not provide session.client/resource overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[securityhub]'


# standalone installation
python -m pip install types-aiobotocore-securityhub
```

<a id="how-to-uninstall"></a>

## How to uninstall

```bash
python -m pip uninstall -y types-aiobotocore-securityhub
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[securityhub]` in your environment:

```bash
python -m pip install 'types-aiobotocore[securityhub]'
```

Both type checking and code completion should now work. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pycharm"></a>

### PyCharm

Install `types-aiobotocore-lite[securityhub]` in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[securityhub]'`
```

Both type checking and code completion should now work. Explicit type
annotations **are required**.

Use `types-aiobotocore` package instead for implicit type discovery.

<a id="emacs"></a>

### Emacs

- Install `types-aiobotocore` with services you use in your environment:

```bash
python -m pip install 'types-aiobotocore[securityhub]'
```

- Install [use-package](https://github.com/jwiegley/use-package),
  [lsp](https://github.com/emacs-lsp/lsp-mode/),
  [company](https://github.com/company-mode/company-mode) and
  [flycheck](https://github.com/flycheck/flycheck) packages
- Install [lsp-pyright](https://github.com/emacs-lsp/lsp-pyright) package

```elisp
(use-package lsp-pyright
  :ensure t
  :hook (python-mode . (lambda ()
                          (require 'lsp-pyright)
                          (lsp)))  ; or lsp-deferred
  :init (when (executable-find "python3")
          (setq lsp-pyright-python-executable-cmd "python3"))
  )
```

- Make sure emacs uses the environment where you have installed
  `types-aiobotocore`

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="sublime-text"></a>

### Sublime Text

- Install `types-aiobotocore[securityhub]` with services you use in your
  environment:

```bash
python -m pip install 'types-aiobotocore[securityhub]'
```

- Install [LSP-pyright](https://github.com/sublimelsp/LSP-pyright) package

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[securityhub]` in your environment:

```bash
python -m pip install 'types-aiobotocore[securityhub]'`
```

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `npm i -g pyright`
- Install `types-aiobotocore[securityhub]` in your environment:

```bash
python -m pip install 'types-aiobotocore[securityhub]'
```

Optionally, you can install `types-aiobotocore` to `typings` folder.

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`SecurityHubClient` provides annotations for
`session.create_client("securityhub")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_securityhub import SecurityHubClient

session = get_session()
async with session.create_client("securityhub") as client:
    client: SecurityHubClient
    # now client usage is checked by mypy and IDE should provide code completion
```

<a id="paginators-annotations"></a>

### Paginators annotations

`types_aiobotocore_securityhub.paginator` module contains type annotations for
all paginators.

```python
from aiobotocore.session import get_session

from types_aiobotocore_securityhub import SecurityHubClient
from types_aiobotocore_securityhub.paginator import (
    DescribeActionTargetsPaginator,
    DescribeProductsPaginator,
    DescribeStandardsPaginator,
    DescribeStandardsControlsPaginator,
    GetEnabledStandardsPaginator,
    GetFindingHistoryPaginator,
    GetFindingsPaginator,
    GetInsightsPaginator,
    ListEnabledProductsForImportPaginator,
    ListFindingAggregatorsPaginator,
    ListInvitationsPaginator,
    ListMembersPaginator,
    ListOrganizationAdminAccountsPaginator,
    ListSecurityControlDefinitionsPaginator,
    ListStandardsControlAssociationsPaginator,
)

session = get_session()
async with session.create_client("securityhub") as client:
    client: SecurityHubClient

    # Explicit type annotations are optional here
    # Types should be correctly discovered by mypy and IDEs
    describe_action_targets_paginator: DescribeActionTargetsPaginator = client.get_paginator(
        "describe_action_targets"
    )
    describe_products_paginator: DescribeProductsPaginator = client.get_paginator(
        "describe_products"
    )
    describe_standards_paginator: DescribeStandardsPaginator = client.get_paginator(
        "describe_standards"
    )
    describe_standards_controls_paginator: DescribeStandardsControlsPaginator = (
        client.get_paginator("describe_standards_controls")
    )
    get_enabled_standards_paginator: GetEnabledStandardsPaginator = client.get_paginator(
        "get_enabled_standards"
    )
    get_finding_history_paginator: GetFindingHistoryPaginator = client.get_paginator(
        "get_finding_history"
    )
    get_findings_paginator: GetFindingsPaginator = client.get_paginator("get_findings")
    get_insights_paginator: GetInsightsPaginator = client.get_paginator("get_insights")
    list_enabled_products_for_import_paginator: ListEnabledProductsForImportPaginator = (
        client.get_paginator("list_enabled_products_for_import")
    )
    list_finding_aggregators_paginator: ListFindingAggregatorsPaginator = client.get_paginator(
        "list_finding_aggregators"
    )
    list_invitations_paginator: ListInvitationsPaginator = client.get_paginator("list_invitations")
    list_members_paginator: ListMembersPaginator = client.get_paginator("list_members")
    list_organization_admin_accounts_paginator: ListOrganizationAdminAccountsPaginator = (
        client.get_paginator("list_organization_admin_accounts")
    )
    list_security_control_definitions_paginator: ListSecurityControlDefinitionsPaginator = (
        client.get_paginator("list_security_control_definitions")
    )
    list_standards_control_associations_paginator: ListStandardsControlAssociationsPaginator = (
        client.get_paginator("list_standards_control_associations")
    )
```

<a id="literals"></a>

### Literals

`types_aiobotocore_securityhub.literals` module contains literals extracted
from shapes that can be used in user code for type checking.

```python
from types_aiobotocore_securityhub.literals import (
    AdminStatusType,
    AssociationStatusType,
    AutoEnableStandardsType,
    AutomationRulesActionTypeType,
    AwsIamAccessKeyStatusType,
    AwsS3BucketNotificationConfigurationS3KeyFilterRuleNameType,
    ComplianceStatusType,
    ControlFindingGeneratorType,
    ControlStatusType,
    DateRangeUnitType,
    DescribeActionTargetsPaginatorName,
    DescribeProductsPaginatorName,
    DescribeStandardsControlsPaginatorName,
    DescribeStandardsPaginatorName,
    FindingHistoryUpdateSourceTypeType,
    GetEnabledStandardsPaginatorName,
    GetFindingHistoryPaginatorName,
    GetFindingsPaginatorName,
    GetInsightsPaginatorName,
    IntegrationTypeType,
    ListEnabledProductsForImportPaginatorName,
    ListFindingAggregatorsPaginatorName,
    ListInvitationsPaginatorName,
    ListMembersPaginatorName,
    ListOrganizationAdminAccountsPaginatorName,
    ListSecurityControlDefinitionsPaginatorName,
    ListStandardsControlAssociationsPaginatorName,
    MalwareStateType,
    MalwareTypeType,
    MapFilterComparisonType,
    NetworkDirectionType,
    PartitionType,
    RecordStateType,
    RegionAvailabilityStatusType,
    RuleStatusType,
    SeverityLabelType,
    SeverityRatingType,
    SortOrderType,
    StandardsStatusType,
    StatusReasonCodeType,
    StringFilterComparisonType,
    ThreatIntelIndicatorCategoryType,
    ThreatIntelIndicatorTypeType,
    UnprocessedErrorCodeType,
    VerificationStateType,
    VulnerabilityFixAvailableType,
    WorkflowStateType,
    WorkflowStatusType,
    SecurityHubServiceName,
    ServiceName,
    ResourceServiceName,
    PaginatorName,
    RegionName,
)


def check_value(value: AdminStatusType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`types_aiobotocore_securityhub.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_securityhub.type_defs import (
    AcceptAdministratorInvitationRequestRequestTypeDef,
    AcceptInvitationRequestRequestTypeDef,
    AccountDetailsTypeDef,
    ActionLocalIpDetailsTypeDef,
    ActionLocalPortDetailsTypeDef,
    CityTypeDef,
    CountryTypeDef,
    GeoLocationTypeDef,
    IpOrganizationDetailsTypeDef,
    ActionRemotePortDetailsTypeDef,
    ActionTargetTypeDef,
    DnsRequestActionTypeDef,
    AdjustmentTypeDef,
    AdminAccountTypeDef,
    AssociatedStandardTypeDef,
    AssociationStateDetailsTypeDef,
    NoteUpdateTypeDef,
    RelatedFindingTypeDef,
    SeverityUpdateTypeDef,
    WorkflowUpdateTypeDef,
    MapFilterTypeDef,
    NumberFilterTypeDef,
    StringFilterTypeDef,
    AutomationRulesMetadataTypeDef,
    AvailabilityZoneTypeDef,
    AwsAmazonMqBrokerEncryptionOptionsDetailsTypeDef,
    AwsAmazonMqBrokerLdapServerMetadataDetailsTypeDef,
    AwsAmazonMqBrokerMaintenanceWindowStartTimeDetailsTypeDef,
    AwsAmazonMqBrokerUsersDetailsTypeDef,
    AwsAmazonMqBrokerLogsPendingDetailsTypeDef,
    AwsApiCallActionDomainDetailsTypeDef,
    AwsApiGatewayAccessLogSettingsTypeDef,
    AwsApiGatewayCanarySettingsTypeDef,
    AwsApiGatewayEndpointConfigurationTypeDef,
    AwsApiGatewayMethodSettingsTypeDef,
    AwsCorsConfigurationTypeDef,
    AwsApiGatewayV2RouteSettingsTypeDef,
    AwsAppSyncGraphQlApiLambdaAuthorizerConfigDetailsTypeDef,
    AwsAppSyncGraphQlApiOpenIdConnectConfigDetailsTypeDef,
    AwsAppSyncGraphQlApiUserPoolConfigDetailsTypeDef,
    AwsAppSyncGraphQlApiLogConfigDetailsTypeDef,
    AwsAutoScalingAutoScalingGroupAvailabilityZonesListDetailsTypeDef,
    AwsAutoScalingAutoScalingGroupLaunchTemplateLaunchTemplateSpecificationTypeDef,
    AwsAutoScalingAutoScalingGroupMixedInstancesPolicyInstancesDistributionDetailsTypeDef,
    AwsAutoScalingAutoScalingGroupMixedInstancesPolicyLaunchTemplateLaunchTemplateSpecificationTypeDef,
    AwsAutoScalingAutoScalingGroupMixedInstancesPolicyLaunchTemplateOverridesListDetailsTypeDef,
    AwsAutoScalingLaunchConfigurationBlockDeviceMappingsEbsDetailsTypeDef,
    AwsAutoScalingLaunchConfigurationInstanceMonitoringDetailsTypeDef,
    AwsAutoScalingLaunchConfigurationMetadataOptionsTypeDef,
    AwsBackupBackupPlanAdvancedBackupSettingsDetailsTypeDef,
    AwsBackupBackupPlanLifecycleDetailsTypeDef,
    AwsBackupBackupVaultNotificationsDetailsTypeDef,
    AwsBackupRecoveryPointCalculatedLifecycleDetailsTypeDef,
    AwsBackupRecoveryPointCreatedByDetailsTypeDef,
    AwsBackupRecoveryPointLifecycleDetailsTypeDef,
    AwsCertificateManagerCertificateExtendedKeyUsageTypeDef,
    AwsCertificateManagerCertificateKeyUsageTypeDef,
    AwsCertificateManagerCertificateOptionsTypeDef,
    AwsCertificateManagerCertificateResourceRecordTypeDef,
    AwsCloudFormationStackDriftInformationDetailsTypeDef,
    AwsCloudFormationStackOutputsDetailsTypeDef,
    AwsCloudFrontDistributionCacheBehaviorTypeDef,
    AwsCloudFrontDistributionDefaultCacheBehaviorTypeDef,
    AwsCloudFrontDistributionLoggingTypeDef,
    AwsCloudFrontDistributionViewerCertificateTypeDef,
    AwsCloudFrontDistributionOriginSslProtocolsTypeDef,
    AwsCloudFrontDistributionOriginGroupFailoverStatusCodesTypeDef,
    AwsCloudFrontDistributionOriginS3OriginConfigTypeDef,
    AwsCloudTrailTrailDetailsTypeDef,
    AwsCloudWatchAlarmDimensionsDetailsTypeDef,
    AwsCodeBuildProjectArtifactsDetailsTypeDef,
    AwsCodeBuildProjectSourceTypeDef,
    AwsCodeBuildProjectVpcConfigTypeDef,
    AwsCodeBuildProjectEnvironmentEnvironmentVariablesDetailsTypeDef,
    AwsCodeBuildProjectEnvironmentRegistryCredentialTypeDef,
    AwsCodeBuildProjectLogsConfigCloudWatchLogsDetailsTypeDef,
    AwsCodeBuildProjectLogsConfigS3LogsDetailsTypeDef,
    AwsDynamoDbTableAttributeDefinitionTypeDef,
    AwsDynamoDbTableBillingModeSummaryTypeDef,
    AwsDynamoDbTableKeySchemaTypeDef,
    AwsDynamoDbTableProvisionedThroughputTypeDef,
    AwsDynamoDbTableRestoreSummaryTypeDef,
    AwsDynamoDbTableSseDescriptionTypeDef,
    AwsDynamoDbTableStreamSpecificationTypeDef,
    AwsDynamoDbTableProjectionTypeDef,
    AwsDynamoDbTableProvisionedThroughputOverrideTypeDef,
    AwsEc2EipDetailsTypeDef,
    AwsEc2InstanceMetadataOptionsTypeDef,
    AwsEc2InstanceMonitoringDetailsTypeDef,
    AwsEc2InstanceNetworkInterfacesDetailsTypeDef,
    AwsEc2LaunchTemplateDataBlockDeviceMappingSetEbsDetailsTypeDef,
    AwsEc2LaunchTemplateDataCapacityReservationSpecificationCapacityReservationTargetDetailsTypeDef,
    AwsEc2LaunchTemplateDataCpuOptionsDetailsTypeDef,
    AwsEc2LaunchTemplateDataCreditSpecificationDetailsTypeDef,
    AwsEc2LaunchTemplateDataElasticGpuSpecificationSetDetailsTypeDef,
    AwsEc2LaunchTemplateDataElasticInferenceAcceleratorSetDetailsTypeDef,
    AwsEc2LaunchTemplateDataEnclaveOptionsDetailsTypeDef,
    AwsEc2LaunchTemplateDataHibernationOptionsDetailsTypeDef,
    AwsEc2LaunchTemplateDataIamInstanceProfileDetailsTypeDef,
    AwsEc2LaunchTemplateDataLicenseSetDetailsTypeDef,
    AwsEc2LaunchTemplateDataMaintenanceOptionsDetailsTypeDef,
    AwsEc2LaunchTemplateDataMetadataOptionsDetailsTypeDef,
    AwsEc2LaunchTemplateDataMonitoringDetailsTypeDef,
    AwsEc2LaunchTemplateDataPlacementDetailsTypeDef,
    AwsEc2LaunchTemplateDataPrivateDnsNameOptionsDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceMarketOptionsSpotOptionsDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceRequirementsAcceleratorCountDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceRequirementsAcceleratorTotalMemoryMiBDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceRequirementsBaselineEbsBandwidthMbpsDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceRequirementsMemoryGiBPerVCpuDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceRequirementsMemoryMiBDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceRequirementsNetworkInterfaceCountDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceRequirementsTotalLocalStorageGBDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceRequirementsVCpuCountDetailsTypeDef,
    AwsEc2LaunchTemplateDataNetworkInterfaceSetIpv4PrefixesDetailsTypeDef,
    AwsEc2LaunchTemplateDataNetworkInterfaceSetIpv6AddressesDetailsTypeDef,
    AwsEc2LaunchTemplateDataNetworkInterfaceSetIpv6PrefixesDetailsTypeDef,
    AwsEc2LaunchTemplateDataNetworkInterfaceSetPrivateIpAddressesDetailsTypeDef,
    AwsEc2NetworkAclAssociationTypeDef,
    IcmpTypeCodeTypeDef,
    PortRangeFromToTypeDef,
    AwsEc2NetworkInterfaceAttachmentTypeDef,
    AwsEc2NetworkInterfaceIpV6AddressDetailTypeDef,
    AwsEc2NetworkInterfacePrivateIpAddressDetailTypeDef,
    AwsEc2NetworkInterfaceSecurityGroupTypeDef,
    PropagatingVgwSetDetailsTypeDef,
    RouteSetDetailsTypeDef,
    AwsEc2SecurityGroupIpRangeTypeDef,
    AwsEc2SecurityGroupIpv6RangeTypeDef,
    AwsEc2SecurityGroupPrefixListIdTypeDef,
    AwsEc2SecurityGroupUserIdGroupPairTypeDef,
    Ipv6CidrBlockAssociationTypeDef,
    AwsEc2TransitGatewayDetailsTypeDef,
    AwsEc2VolumeAttachmentTypeDef,
    CidrBlockAssociationTypeDef,
    AwsEc2VpcEndpointServiceServiceTypeDetailsTypeDef,
    AwsEc2VpcPeeringConnectionStatusDetailsTypeDef,
    VpcInfoCidrBlockSetDetailsTypeDef,
    VpcInfoIpv6CidrBlockSetDetailsTypeDef,
    VpcInfoPeeringOptionsDetailsTypeDef,
    AwsEc2VpnConnectionRoutesDetailsTypeDef,
    AwsEc2VpnConnectionVgwTelemetryDetailsTypeDef,
    AwsEc2VpnConnectionOptionsTunnelOptionsDetailsTypeDef,
    AwsEcrContainerImageDetailsTypeDef,
    AwsEcrRepositoryImageScanningConfigurationDetailsTypeDef,
    AwsEcrRepositoryLifecyclePolicyDetailsTypeDef,
    AwsEcsClusterClusterSettingsDetailsTypeDef,
    AwsEcsClusterConfigurationExecuteCommandConfigurationLogConfigurationDetailsTypeDef,
    AwsEcsClusterDefaultCapacityProviderStrategyDetailsTypeDef,
    AwsMountPointTypeDef,
    AwsEcsServiceCapacityProviderStrategyDetailsTypeDef,
    AwsEcsServiceDeploymentConfigurationDeploymentCircuitBreakerDetailsTypeDef,
    AwsEcsServiceDeploymentControllerDetailsTypeDef,
    AwsEcsServiceLoadBalancersDetailsTypeDef,
    AwsEcsServicePlacementConstraintsDetailsTypeDef,
    AwsEcsServicePlacementStrategiesDetailsTypeDef,
    AwsEcsServiceServiceRegistriesDetailsTypeDef,
    AwsEcsServiceNetworkConfigurationAwsVpcConfigurationDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsDependsOnDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsEnvironmentDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsEnvironmentFilesDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsExtraHostsDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsFirelensConfigurationDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsHealthCheckDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsMountPointsDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsPortMappingsDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsRepositoryCredentialsDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsResourceRequirementsDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsSecretsDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsSystemControlsDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsUlimitsDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsVolumesFromDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersCapabilitiesDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDevicesDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersTmpfsDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationSecretOptionsDetailsTypeDef,
    AwsEcsTaskDefinitionInferenceAcceleratorsDetailsTypeDef,
    AwsEcsTaskDefinitionPlacementConstraintsDetailsTypeDef,
    AwsEcsTaskDefinitionProxyConfigurationProxyConfigurationPropertiesDetailsTypeDef,
    AwsEcsTaskDefinitionVolumesDockerVolumeConfigurationDetailsTypeDef,
    AwsEcsTaskDefinitionVolumesHostDetailsTypeDef,
    AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationAuthorizationConfigDetailsTypeDef,
    AwsEcsTaskVolumeHostDetailsTypeDef,
    AwsEfsAccessPointPosixUserDetailsTypeDef,
    AwsEfsAccessPointRootDirectoryCreationInfoDetailsTypeDef,
    AwsEksClusterResourcesVpcConfigDetailsTypeDef,
    AwsEksClusterLoggingClusterLoggingDetailsTypeDef,
    AwsElasticBeanstalkEnvironmentEnvironmentLinkTypeDef,
    AwsElasticBeanstalkEnvironmentOptionSettingTypeDef,
    AwsElasticBeanstalkEnvironmentTierTypeDef,
    AwsElasticsearchDomainDomainEndpointOptionsTypeDef,
    AwsElasticsearchDomainEncryptionAtRestOptionsTypeDef,
    AwsElasticsearchDomainNodeToNodeEncryptionOptionsTypeDef,
    AwsElasticsearchDomainServiceSoftwareOptionsTypeDef,
    AwsElasticsearchDomainVPCOptionsTypeDef,
    AwsElasticsearchDomainElasticsearchClusterConfigZoneAwarenessConfigDetailsTypeDef,
    AwsElasticsearchDomainLogPublishingOptionsLogConfigTypeDef,
    AwsElbAppCookieStickinessPolicyTypeDef,
    AwsElbLbCookieStickinessPolicyTypeDef,
    AwsElbLoadBalancerAccessLogTypeDef,
    AwsElbLoadBalancerAdditionalAttributeTypeDef,
    AwsElbLoadBalancerConnectionDrainingTypeDef,
    AwsElbLoadBalancerConnectionSettingsTypeDef,
    AwsElbLoadBalancerCrossZoneLoadBalancingTypeDef,
    AwsElbLoadBalancerBackendServerDescriptionTypeDef,
    AwsElbLoadBalancerHealthCheckTypeDef,
    AwsElbLoadBalancerInstanceTypeDef,
    AwsElbLoadBalancerSourceSecurityGroupTypeDef,
    AwsElbLoadBalancerListenerTypeDef,
    AwsElbv2LoadBalancerAttributeTypeDef,
    LoadBalancerStateTypeDef,
    AwsEventSchemasRegistryDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesCloudTrailDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesDnsLogsDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesFlowLogsDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesS3LogsDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesKubernetesAuditLogsDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesMalwareProtectionScanEc2InstanceWithFindingsEbsVolumesDetailsTypeDef,
    AwsGuardDutyDetectorFeaturesDetailsTypeDef,
    AwsIamAccessKeySessionContextAttributesTypeDef,
    AwsIamAccessKeySessionContextSessionIssuerTypeDef,
    AwsIamAttachedManagedPolicyTypeDef,
    AwsIamGroupPolicyTypeDef,
    AwsIamInstanceProfileRoleTypeDef,
    AwsIamPermissionsBoundaryTypeDef,
    AwsIamPolicyVersionTypeDef,
    AwsIamRolePolicyTypeDef,
    AwsIamUserPolicyTypeDef,
    AwsKinesisStreamStreamEncryptionDetailsTypeDef,
    AwsKmsKeyDetailsTypeDef,
    AwsLambdaFunctionCodeTypeDef,
    AwsLambdaFunctionDeadLetterConfigTypeDef,
    AwsLambdaFunctionLayerTypeDef,
    AwsLambdaFunctionTracingConfigTypeDef,
    AwsLambdaFunctionVpcConfigTypeDef,
    AwsLambdaFunctionEnvironmentErrorTypeDef,
    AwsLambdaLayerVersionDetailsTypeDef,
    AwsNetworkFirewallFirewallSubnetMappingsDetailsTypeDef,
    AwsOpenSearchServiceDomainMasterUserOptionsDetailsTypeDef,
    AwsOpenSearchServiceDomainClusterConfigZoneAwarenessConfigDetailsTypeDef,
    AwsOpenSearchServiceDomainDomainEndpointOptionsDetailsTypeDef,
    AwsOpenSearchServiceDomainEncryptionAtRestOptionsDetailsTypeDef,
    AwsOpenSearchServiceDomainNodeToNodeEncryptionOptionsDetailsTypeDef,
    AwsOpenSearchServiceDomainServiceSoftwareOptionsDetailsTypeDef,
    AwsOpenSearchServiceDomainVpcOptionsDetailsTypeDef,
    AwsOpenSearchServiceDomainLogPublishingOptionTypeDef,
    AwsRdsDbClusterAssociatedRoleTypeDef,
    AwsRdsDbClusterMemberTypeDef,
    AwsRdsDbClusterOptionGroupMembershipTypeDef,
    AwsRdsDbDomainMembershipTypeDef,
    AwsRdsDbInstanceVpcSecurityGroupTypeDef,
    AwsRdsDbClusterSnapshotDetailsTypeDef,
    AwsRdsDbInstanceAssociatedRoleTypeDef,
    AwsRdsDbInstanceEndpointTypeDef,
    AwsRdsDbOptionGroupMembershipTypeDef,
    AwsRdsDbParameterGroupTypeDef,
    AwsRdsDbProcessorFeatureTypeDef,
    AwsRdsDbStatusInfoTypeDef,
    AwsRdsPendingCloudWatchLogsExportsTypeDef,
    AwsRdsDbSecurityGroupEc2SecurityGroupTypeDef,
    AwsRdsDbSecurityGroupIpRangeTypeDef,
    AwsRdsDbSubnetGroupSubnetAvailabilityZoneTypeDef,
    AwsRdsEventSubscriptionDetailsTypeDef,
    AwsRedshiftClusterClusterNodeTypeDef,
    AwsRedshiftClusterClusterParameterStatusTypeDef,
    AwsRedshiftClusterClusterSecurityGroupTypeDef,
    AwsRedshiftClusterClusterSnapshotCopyStatusTypeDef,
    AwsRedshiftClusterDeferredMaintenanceWindowTypeDef,
    AwsRedshiftClusterElasticIpStatusTypeDef,
    AwsRedshiftClusterEndpointTypeDef,
    AwsRedshiftClusterHsmStatusTypeDef,
    AwsRedshiftClusterIamRoleTypeDef,
    AwsRedshiftClusterLoggingStatusTypeDef,
    AwsRedshiftClusterPendingModifiedValuesTypeDef,
    AwsRedshiftClusterResizeInfoTypeDef,
    AwsRedshiftClusterRestoreStatusTypeDef,
    AwsRedshiftClusterVpcSecurityGroupTypeDef,
    AwsS3AccountPublicAccessBlockDetailsTypeDef,
    AwsS3BucketBucketLifecycleConfigurationRulesAbortIncompleteMultipartUploadDetailsTypeDef,
    AwsS3BucketBucketLifecycleConfigurationRulesNoncurrentVersionTransitionsDetailsTypeDef,
    AwsS3BucketBucketLifecycleConfigurationRulesTransitionsDetailsTypeDef,
    AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateTagDetailsTypeDef,
    AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsTagDetailsTypeDef,
    AwsS3BucketBucketVersioningConfigurationTypeDef,
    AwsS3BucketLoggingConfigurationTypeDef,
    AwsS3BucketNotificationConfigurationS3KeyFilterRuleTypeDef,
    AwsS3BucketObjectLockConfigurationRuleDefaultRetentionDetailsTypeDef,
    AwsS3BucketServerSideEncryptionByDefaultTypeDef,
    AwsS3BucketWebsiteConfigurationRedirectToTypeDef,
    AwsS3BucketWebsiteConfigurationRoutingRuleConditionTypeDef,
    AwsS3BucketWebsiteConfigurationRoutingRuleRedirectTypeDef,
    AwsS3ObjectDetailsTypeDef,
    AwsSageMakerNotebookInstanceMetadataServiceConfigurationDetailsTypeDef,
    AwsSecretsManagerSecretRotationRulesTypeDef,
    BooleanFilterTypeDef,
    IpFilterTypeDef,
    KeywordFilterTypeDef,
    AwsSecurityFindingIdentifierTypeDef,
    MalwareTypeDef,
    NoteTypeDef,
    PatchSummaryTypeDef,
    ProcessDetailsTypeDef,
    SeverityTypeDef,
    ThreatIntelIndicatorTypeDef,
    WorkflowTypeDef,
    AwsSnsTopicSubscriptionTypeDef,
    AwsSqsQueueDetailsTypeDef,
    AwsSsmComplianceSummaryTypeDef,
    AwsStepFunctionStateMachineTracingConfigurationDetailsTypeDef,
    AwsStepFunctionStateMachineLoggingConfigurationDestinationsCloudWatchLogsLogGroupDetailsTypeDef,
    AwsWafRateBasedRuleMatchPredicateTypeDef,
    AwsWafRegionalRateBasedRuleMatchPredicateTypeDef,
    AwsWafRegionalRulePredicateListDetailsTypeDef,
    AwsWafRegionalRuleGroupRulesActionDetailsTypeDef,
    AwsWafRegionalWebAclRulesListActionDetailsTypeDef,
    AwsWafRegionalWebAclRulesListOverrideActionDetailsTypeDef,
    AwsWafRulePredicateListDetailsTypeDef,
    AwsWafRuleGroupRulesActionDetailsTypeDef,
    WafActionTypeDef,
    WafExcludedRuleTypeDef,
    WafOverrideActionTypeDef,
    AwsWafv2CustomHttpHeaderTypeDef,
    AwsWafv2VisibilityConfigDetailsTypeDef,
    AwsWafv2WebAclCaptchaConfigImmunityTimePropertyDetailsTypeDef,
    AwsXrayEncryptionConfigDetailsTypeDef,
    BatchDeleteAutomationRulesRequestRequestTypeDef,
    UnprocessedAutomationRuleTypeDef,
    BatchDisableStandardsRequestRequestTypeDef,
    StandardsSubscriptionRequestTypeDef,
    BatchGetAutomationRulesRequestRequestTypeDef,
    BatchGetSecurityControlsRequestRequestTypeDef,
    SecurityControlTypeDef,
    UnprocessedSecurityControlTypeDef,
    StandardsControlAssociationIdTypeDef,
    StandardsControlAssociationDetailTypeDef,
    ImportFindingsErrorTypeDef,
    StandardsControlAssociationUpdateTypeDef,
    CellTypeDef,
    ClassificationStatusTypeDef,
    StatusReasonTypeDef,
    VolumeMountTypeDef,
    CreateActionTargetRequestRequestTypeDef,
    CreateActionTargetResponseTypeDef,
    CreateAutomationRuleResponseTypeDef,
    CreateFindingAggregatorRequestRequestTypeDef,
    CreateFindingAggregatorResponseTypeDef,
    CreateInsightResponseTypeDef,
    ResultTypeDef,
    DateRangeTypeDef,
    DeclineInvitationsRequestRequestTypeDef,
    DeleteActionTargetRequestRequestTypeDef,
    DeleteActionTargetResponseTypeDef,
    DeleteFindingAggregatorRequestRequestTypeDef,
    DeleteInsightRequestRequestTypeDef,
    DeleteInsightResponseTypeDef,
    DeleteInvitationsRequestRequestTypeDef,
    DeleteMembersRequestRequestTypeDef,
    DescribeActionTargetsRequestDescribeActionTargetsPaginateTypeDef,
    DescribeActionTargetsRequestRequestTypeDef,
    DescribeHubRequestRequestTypeDef,
    DescribeHubResponseTypeDef,
    DescribeOrganizationConfigurationResponseTypeDef,
    DescribeProductsRequestDescribeProductsPaginateTypeDef,
    DescribeProductsRequestRequestTypeDef,
    ProductTypeDef,
    DescribeStandardsControlsRequestDescribeStandardsControlsPaginateTypeDef,
    DescribeStandardsControlsRequestRequestTypeDef,
    StandardsControlTypeDef,
    DescribeStandardsRequestDescribeStandardsPaginateTypeDef,
    DescribeStandardsRequestRequestTypeDef,
    DisableImportFindingsForProductRequestRequestTypeDef,
    DisableOrganizationAdminAccountRequestRequestTypeDef,
    DisassociateMembersRequestRequestTypeDef,
    EnableImportFindingsForProductRequestRequestTypeDef,
    EnableImportFindingsForProductResponseTypeDef,
    EnableOrganizationAdminAccountRequestRequestTypeDef,
    EnableSecurityHubRequestRequestTypeDef,
    FilePathsTypeDef,
    FindingAggregatorTypeDef,
    FindingHistoryUpdateSourceTypeDef,
    FindingHistoryUpdateTypeDef,
    FindingProviderSeverityTypeDef,
    FirewallPolicyStatefulRuleGroupReferencesDetailsTypeDef,
    FirewallPolicyStatelessRuleGroupReferencesDetailsTypeDef,
    InvitationTypeDef,
    GetEnabledStandardsRequestGetEnabledStandardsPaginateTypeDef,
    GetEnabledStandardsRequestRequestTypeDef,
    GetFindingAggregatorRequestRequestTypeDef,
    GetFindingAggregatorResponseTypeDef,
    SortCriterionTypeDef,
    GetInsightResultsRequestRequestTypeDef,
    GetInsightsRequestGetInsightsPaginateTypeDef,
    GetInsightsRequestRequestTypeDef,
    GetInvitationsCountResponseTypeDef,
    GetMembersRequestRequestTypeDef,
    MemberTypeDef,
    InsightResultValueTypeDef,
    InviteMembersRequestRequestTypeDef,
    ListAutomationRulesRequestRequestTypeDef,
    ListEnabledProductsForImportRequestListEnabledProductsForImportPaginateTypeDef,
    ListEnabledProductsForImportRequestRequestTypeDef,
    ListEnabledProductsForImportResponseTypeDef,
    ListFindingAggregatorsRequestListFindingAggregatorsPaginateTypeDef,
    ListFindingAggregatorsRequestRequestTypeDef,
    ListInvitationsRequestListInvitationsPaginateTypeDef,
    ListInvitationsRequestRequestTypeDef,
    ListMembersRequestListMembersPaginateTypeDef,
    ListMembersRequestRequestTypeDef,
    ListOrganizationAdminAccountsRequestListOrganizationAdminAccountsPaginateTypeDef,
    ListOrganizationAdminAccountsRequestRequestTypeDef,
    ListSecurityControlDefinitionsRequestListSecurityControlDefinitionsPaginateTypeDef,
    ListSecurityControlDefinitionsRequestRequestTypeDef,
    SecurityControlDefinitionTypeDef,
    ListStandardsControlAssociationsRequestListStandardsControlAssociationsPaginateTypeDef,
    ListStandardsControlAssociationsRequestRequestTypeDef,
    StandardsControlAssociationSummaryTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    PortRangeTypeDef,
    RangeTypeDef,
    RecordTypeDef,
    PaginatorConfigTypeDef,
    RecommendationTypeDef,
    ResponseMetadataTypeDef,
    RuleGroupSourceListDetailsTypeDef,
    RuleGroupSourceStatefulRulesHeaderDetailsTypeDef,
    RuleGroupSourceStatefulRulesOptionsDetailsTypeDef,
    RuleGroupSourceStatelessRuleMatchAttributesDestinationPortsTypeDef,
    RuleGroupSourceStatelessRuleMatchAttributesDestinationsTypeDef,
    RuleGroupSourceStatelessRuleMatchAttributesSourcePortsTypeDef,
    RuleGroupSourceStatelessRuleMatchAttributesSourcesTypeDef,
    RuleGroupSourceStatelessRuleMatchAttributesTcpFlagsTypeDef,
    RuleGroupVariablesIpSetsDetailsTypeDef,
    RuleGroupVariablesPortSetsDetailsTypeDef,
    SoftwarePackageTypeDef,
    StandardsManagedByTypeDef,
    StandardsStatusReasonTypeDef,
    StatelessCustomPublishMetricActionDimensionTypeDef,
    TagResourceRequestRequestTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateActionTargetRequestRequestTypeDef,
    UpdateFindingAggregatorRequestRequestTypeDef,
    UpdateFindingAggregatorResponseTypeDef,
    UpdateOrganizationConfigurationRequestRequestTypeDef,
    UpdateSecurityHubConfigurationRequestRequestTypeDef,
    UpdateStandardsControlRequestRequestTypeDef,
    VulnerabilityVendorTypeDef,
    CreateMembersRequestRequestTypeDef,
    ActionRemoteIpDetailsTypeDef,
    DescribeActionTargetsResponseTypeDef,
    CvssTypeDef,
    ListOrganizationAdminAccountsResponseTypeDef,
    AssociationSetDetailsTypeDef,
    AutomationRulesFindingFieldsUpdateTypeDef,
    ListAutomationRulesResponseTypeDef,
    AwsAmazonMqBrokerLogsDetailsTypeDef,
    AwsApiGatewayRestApiDetailsTypeDef,
    AwsApiGatewayStageDetailsTypeDef,
    AwsApiGatewayV2ApiDetailsTypeDef,
    AwsApiGatewayV2StageDetailsTypeDef,
    AwsAppSyncGraphQlApiAdditionalAuthenticationProvidersDetailsTypeDef,
    AwsAutoScalingAutoScalingGroupMixedInstancesPolicyLaunchTemplateDetailsTypeDef,
    AwsAutoScalingLaunchConfigurationBlockDeviceMappingsDetailsTypeDef,
    AwsBackupBackupPlanRuleCopyActionsDetailsTypeDef,
    AwsBackupBackupVaultDetailsTypeDef,
    AwsBackupRecoveryPointDetailsTypeDef,
    AwsCertificateManagerCertificateDomainValidationOptionTypeDef,
    AwsCloudFormationStackDetailsTypeDef,
    AwsCloudFrontDistributionCacheBehaviorsTypeDef,
    AwsCloudFrontDistributionOriginCustomOriginConfigTypeDef,
    AwsCloudFrontDistributionOriginGroupFailoverTypeDef,
    AwsCloudWatchAlarmDetailsTypeDef,
    AwsCodeBuildProjectEnvironmentTypeDef,
    AwsCodeBuildProjectLogsConfigDetailsTypeDef,
    AwsDynamoDbTableGlobalSecondaryIndexTypeDef,
    AwsDynamoDbTableLocalSecondaryIndexTypeDef,
    AwsDynamoDbTableReplicaGlobalSecondaryIndexTypeDef,
    AwsEc2InstanceDetailsTypeDef,
    AwsEc2LaunchTemplateDataBlockDeviceMappingSetDetailsTypeDef,
    AwsEc2LaunchTemplateDataCapacityReservationSpecificationDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceMarketOptionsDetailsTypeDef,
    AwsEc2LaunchTemplateDataInstanceRequirementsDetailsTypeDef,
    AwsEc2LaunchTemplateDataNetworkInterfaceSetDetailsTypeDef,
    AwsEc2NetworkAclEntryTypeDef,
    AwsEc2NetworkInterfaceDetailsTypeDef,
    AwsEc2SecurityGroupIpPermissionTypeDef,
    AwsEc2SubnetDetailsTypeDef,
    AwsEc2VolumeDetailsTypeDef,
    AwsEc2VpcDetailsTypeDef,
    AwsEc2VpcEndpointServiceDetailsTypeDef,
    AwsEc2VpcPeeringConnectionVpcInfoDetailsTypeDef,
    AwsEc2VpnConnectionOptionsDetailsTypeDef,
    AwsEcrRepositoryDetailsTypeDef,
    AwsEcsClusterConfigurationExecuteCommandConfigurationDetailsTypeDef,
    AwsEcsContainerDetailsTypeDef,
    AwsEcsServiceDeploymentConfigurationDetailsTypeDef,
    AwsEcsServiceNetworkConfigurationDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsLinuxParametersDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsLogConfigurationDetailsTypeDef,
    AwsEcsTaskDefinitionProxyConfigurationDetailsTypeDef,
    AwsEcsTaskDefinitionVolumesEfsVolumeConfigurationDetailsTypeDef,
    AwsEcsTaskVolumeDetailsTypeDef,
    AwsEfsAccessPointRootDirectoryDetailsTypeDef,
    AwsEksClusterLoggingDetailsTypeDef,
    AwsElasticBeanstalkEnvironmentDetailsTypeDef,
    AwsElasticsearchDomainElasticsearchClusterConfigDetailsTypeDef,
    AwsElasticsearchDomainLogPublishingOptionsTypeDef,
    AwsElbLoadBalancerPoliciesTypeDef,
    AwsElbLoadBalancerAttributesTypeDef,
    AwsElbLoadBalancerListenerDescriptionTypeDef,
    AwsElbv2LoadBalancerDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesKubernetesDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesMalwareProtectionScanEc2InstanceWithFindingsDetailsTypeDef,
    AwsIamAccessKeySessionContextTypeDef,
    AwsIamGroupDetailsTypeDef,
    AwsIamInstanceProfileTypeDef,
    AwsIamPolicyDetailsTypeDef,
    AwsIamUserDetailsTypeDef,
    AwsKinesisStreamDetailsTypeDef,
    AwsLambdaFunctionEnvironmentTypeDef,
    AwsNetworkFirewallFirewallDetailsTypeDef,
    AwsOpenSearchServiceDomainAdvancedSecurityOptionsDetailsTypeDef,
    AwsOpenSearchServiceDomainClusterConfigDetailsTypeDef,
    AwsOpenSearchServiceDomainLogPublishingOptionsDetailsTypeDef,
    AwsRdsDbClusterDetailsTypeDef,
    AwsRdsDbSnapshotDetailsTypeDef,
    AwsRdsDbPendingModifiedValuesTypeDef,
    AwsRdsDbSecurityGroupDetailsTypeDef,
    AwsRdsDbSubnetGroupSubnetTypeDef,
    AwsRedshiftClusterClusterParameterGroupTypeDef,
    AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateOperandsDetailsTypeDef,
    AwsS3BucketNotificationConfigurationS3KeyFilterTypeDef,
    AwsS3BucketObjectLockConfigurationRuleDetailsTypeDef,
    AwsS3BucketServerSideEncryptionRuleTypeDef,
    AwsS3BucketWebsiteConfigurationRoutingRuleTypeDef,
    AwsSageMakerNotebookInstanceDetailsTypeDef,
    AwsSecretsManagerSecretDetailsTypeDef,
    BatchUpdateFindingsRequestRequestTypeDef,
    BatchUpdateFindingsUnprocessedFindingTypeDef,
    GetFindingHistoryRequestGetFindingHistoryPaginateTypeDef,
    GetFindingHistoryRequestRequestTypeDef,
    AwsSnsTopicDetailsTypeDef,
    AwsSsmPatchTypeDef,
    AwsStepFunctionStateMachineLoggingConfigurationDestinationsDetailsTypeDef,
    AwsWafRateBasedRuleDetailsTypeDef,
    AwsWafRegionalRateBasedRuleDetailsTypeDef,
    AwsWafRegionalRuleDetailsTypeDef,
    AwsWafRegionalRuleGroupRulesDetailsTypeDef,
    AwsWafRegionalWebAclRulesListDetailsTypeDef,
    AwsWafRuleDetailsTypeDef,
    AwsWafRuleGroupRulesDetailsTypeDef,
    AwsWafWebAclRuleTypeDef,
    AwsWafv2CustomRequestHandlingDetailsTypeDef,
    AwsWafv2CustomResponseDetailsTypeDef,
    AwsWafv2WebAclCaptchaConfigDetailsTypeDef,
    BatchDeleteAutomationRulesResponseTypeDef,
    BatchUpdateAutomationRulesResponseTypeDef,
    BatchEnableStandardsRequestRequestTypeDef,
    BatchGetSecurityControlsResponseTypeDef,
    BatchGetStandardsControlAssociationsRequestRequestTypeDef,
    UnprocessedStandardsControlAssociationTypeDef,
    BatchImportFindingsResponseTypeDef,
    BatchUpdateStandardsControlAssociationsRequestRequestTypeDef,
    UnprocessedStandardsControlAssociationUpdateTypeDef,
    ComplianceTypeDef,
    ContainerDetailsTypeDef,
    CreateMembersResponseTypeDef,
    DeclineInvitationsResponseTypeDef,
    DeleteInvitationsResponseTypeDef,
    DeleteMembersResponseTypeDef,
    InviteMembersResponseTypeDef,
    DateFilterTypeDef,
    DescribeProductsResponseTypeDef,
    DescribeStandardsControlsResponseTypeDef,
    ThreatTypeDef,
    ListFindingAggregatorsResponseTypeDef,
    FindingHistoryRecordTypeDef,
    FindingProviderFieldsTypeDef,
    GetAdministratorAccountResponseTypeDef,
    GetMasterAccountResponseTypeDef,
    ListInvitationsResponseTypeDef,
    GetMembersResponseTypeDef,
    ListMembersResponseTypeDef,
    InsightResultsTypeDef,
    ListSecurityControlDefinitionsResponseTypeDef,
    ListStandardsControlAssociationsResponseTypeDef,
    NetworkPathComponentDetailsTypeDef,
    NetworkTypeDef,
    PageTypeDef,
    RemediationTypeDef,
    RuleGroupSourceStatefulRulesDetailsTypeDef,
    RuleGroupSourceStatelessRuleMatchAttributesTypeDef,
    RuleGroupVariablesTypeDef,
    StandardTypeDef,
    StandardsSubscriptionTypeDef,
    StatelessCustomPublishMetricActionTypeDef,
    AwsApiCallActionTypeDef,
    NetworkConnectionActionTypeDef,
    PortProbeDetailTypeDef,
    VulnerabilityTypeDef,
    AwsEc2RouteTableDetailsTypeDef,
    AutomationRulesActionTypeDef,
    AwsAmazonMqBrokerDetailsTypeDef,
    AwsAppSyncGraphQlApiDetailsTypeDef,
    AwsAutoScalingAutoScalingGroupMixedInstancesPolicyDetailsTypeDef,
    AwsAutoScalingLaunchConfigurationDetailsTypeDef,
    AwsBackupBackupPlanRuleDetailsTypeDef,
    AwsCertificateManagerCertificateRenewalSummaryTypeDef,
    AwsCloudFrontDistributionOriginItemTypeDef,
    AwsCloudFrontDistributionOriginGroupTypeDef,
    AwsCodeBuildProjectDetailsTypeDef,
    AwsDynamoDbTableReplicaTypeDef,
    AwsEc2LaunchTemplateDataDetailsTypeDef,
    AwsEc2NetworkAclDetailsTypeDef,
    AwsEc2SecurityGroupDetailsTypeDef,
    AwsEc2VpcPeeringConnectionDetailsTypeDef,
    AwsEc2VpnConnectionDetailsTypeDef,
    AwsEcsClusterConfigurationDetailsTypeDef,
    AwsEcsServiceDetailsTypeDef,
    AwsEcsTaskDefinitionContainerDefinitionsDetailsTypeDef,
    AwsEcsTaskDefinitionVolumesDetailsTypeDef,
    AwsEcsTaskDetailsTypeDef,
    AwsEfsAccessPointDetailsTypeDef,
    AwsEksClusterDetailsTypeDef,
    AwsElasticsearchDomainDetailsTypeDef,
    AwsElbLoadBalancerDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesMalwareProtectionDetailsTypeDef,
    AwsIamAccessKeyDetailsTypeDef,
    AwsIamRoleDetailsTypeDef,
    AwsLambdaFunctionDetailsTypeDef,
    AwsOpenSearchServiceDomainDetailsTypeDef,
    AwsRdsDbSubnetGroupTypeDef,
    AwsRedshiftClusterDetailsTypeDef,
    AwsS3BucketBucketLifecycleConfigurationRulesFilterPredicateDetailsTypeDef,
    AwsS3BucketNotificationConfigurationFilterTypeDef,
    AwsS3BucketObjectLockConfigurationTypeDef,
    AwsS3BucketServerSideEncryptionConfigurationTypeDef,
    AwsS3BucketWebsiteConfigurationTypeDef,
    BatchUpdateFindingsResponseTypeDef,
    AwsSsmPatchComplianceDetailsTypeDef,
    AwsStepFunctionStateMachineLoggingConfigurationDetailsTypeDef,
    AwsWafRegionalRuleGroupDetailsTypeDef,
    AwsWafRegionalWebAclDetailsTypeDef,
    AwsWafRuleGroupDetailsTypeDef,
    AwsWafWebAclDetailsTypeDef,
    AwsWafv2ActionAllowDetailsTypeDef,
    AwsWafv2RulesActionCaptchaDetailsTypeDef,
    AwsWafv2RulesActionCountDetailsTypeDef,
    AwsWafv2ActionBlockDetailsTypeDef,
    BatchGetStandardsControlAssociationsResponseTypeDef,
    BatchUpdateStandardsControlAssociationsResponseTypeDef,
    AutomationRulesFindingFiltersTypeDef,
    AwsSecurityFindingFiltersTypeDef,
    GetFindingHistoryResponseTypeDef,
    GetInsightResultsResponseTypeDef,
    NetworkHeaderTypeDef,
    OccurrencesTypeDef,
    RuleGroupSourceStatelessRuleDefinitionTypeDef,
    DescribeStandardsResponseTypeDef,
    BatchDisableStandardsResponseTypeDef,
    BatchEnableStandardsResponseTypeDef,
    GetEnabledStandardsResponseTypeDef,
    StatelessCustomActionDefinitionTypeDef,
    PortProbeActionTypeDef,
    AwsAutoScalingAutoScalingGroupDetailsTypeDef,
    AwsBackupBackupPlanBackupPlanDetailsTypeDef,
    AwsCertificateManagerCertificateDetailsTypeDef,
    AwsCloudFrontDistributionOriginsTypeDef,
    AwsCloudFrontDistributionOriginGroupsTypeDef,
    AwsDynamoDbTableDetailsTypeDef,
    AwsEc2LaunchTemplateDetailsTypeDef,
    AwsEcsClusterDetailsTypeDef,
    AwsEcsTaskDefinitionDetailsTypeDef,
    AwsGuardDutyDetectorDataSourcesDetailsTypeDef,
    AwsRdsDbInstanceDetailsTypeDef,
    AwsS3BucketBucketLifecycleConfigurationRulesFilterDetailsTypeDef,
    AwsS3BucketNotificationConfigurationDetailTypeDef,
    AwsStepFunctionStateMachineDetailsTypeDef,
    AwsWafv2RulesActionDetailsTypeDef,
    AwsWafv2WebAclActionDetailsTypeDef,
    AutomationRulesConfigTypeDef,
    CreateAutomationRuleRequestRequestTypeDef,
    UpdateAutomationRulesRequestItemTypeDef,
    CreateInsightRequestRequestTypeDef,
    GetFindingsRequestGetFindingsPaginateTypeDef,
    GetFindingsRequestRequestTypeDef,
    InsightTypeDef,
    UpdateFindingsRequestRequestTypeDef,
    UpdateInsightRequestRequestTypeDef,
    NetworkPathComponentTypeDef,
    CustomDataIdentifiersDetectionsTypeDef,
    SensitiveDataDetectionsTypeDef,
    RuleGroupSourceStatelessRulesDetailsTypeDef,
    FirewallPolicyStatelessCustomActionsDetailsTypeDef,
    RuleGroupSourceCustomActionsDetailsTypeDef,
    ActionTypeDef,
    AwsBackupBackupPlanDetailsTypeDef,
    AwsCloudFrontDistributionDetailsTypeDef,
    AwsGuardDutyDetectorDetailsTypeDef,
    AwsS3BucketBucketLifecycleConfigurationRulesDetailsTypeDef,
    AwsS3BucketNotificationConfigurationTypeDef,
    AwsWafv2RulesDetailsTypeDef,
    BatchGetAutomationRulesResponseTypeDef,
    BatchUpdateAutomationRulesRequestRequestTypeDef,
    GetInsightsResponseTypeDef,
    CustomDataIdentifiersResultTypeDef,
    SensitiveDataResultTypeDef,
    FirewallPolicyDetailsTypeDef,
    RuleGroupSourceStatelessRulesAndCustomActionsDetailsTypeDef,
    AwsS3BucketBucketLifecycleConfigurationDetailsTypeDef,
    AwsWafv2RuleGroupDetailsTypeDef,
    AwsWafv2WebAclDetailsTypeDef,
    ClassificationResultTypeDef,
    AwsNetworkFirewallFirewallPolicyDetailsTypeDef,
    RuleGroupSourceTypeDef,
    AwsS3BucketDetailsTypeDef,
    DataClassificationDetailsTypeDef,
    RuleGroupDetailsTypeDef,
    AwsNetworkFirewallRuleGroupDetailsTypeDef,
    ResourceDetailsTypeDef,
    ResourceTypeDef,
    AwsSecurityFindingTypeDef,
    BatchImportFindingsRequestRequestTypeDef,
    GetFindingsResponseTypeDef,
)


def get_structure() -> AcceptAdministratorInvitationRequestRequestTypeDef:
    return {...}
```

<a id="how-it-works"></a>

## How it works

Fully automated
[mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder) carefully
generates type annotations for each service, patiently waiting for
`aiobotocore` updates. It delivers drop-in type annotations for you and makes
sure that:

- All available `aiobotocore` services are covered.
- Each public class and method of every `aiobotocore` service gets valid type
  annotations extracted from `botocore` schemas.
- Type annotations include up-to-date documentation.
- Link to documentation is provided for every method.
- Code is processed by [black](https://github.com/psf/black) and
  [isort](https://github.com/PyCQA/isort) for readability.

<a id="what's-new"></a>

## What's new

<a id="implemented-features"></a>

### Implemented features

- Fully type annotated `boto3`, `botocore`, `aiobotocore` and `aioboto3`
  libraries
- `mypy`, `pyright`, `VSCode`, `PyCharm`, `Sublime Text` and `Emacs`
  compatibility
- `Client`, `ServiceResource`, `Resource`, `Waiter` `Paginator` type
  annotations for each service
- Generated `TypeDefs` for each service
- Generated `Literals` for each service
- Auto discovery of types for `boto3.client` and `boto3.resource` calls
- Auto discovery of types for `session.client` and `session.resource` calls
- Auto discovery of types for `client.get_waiter` and `client.get_paginator`
  calls
- Auto discovery of types for `ServiceResource` and `Resource` collections
- Auto discovery of types for `aiobotocore.Session.create_client` calls

<a id="latest-changes"></a>

### Latest changes

Builder changelog can be found in
[Releases](https://github.com/youtype/mypy_boto3_builder/releases).

<a id="versioning"></a>

## Versioning

`types-aiobotocore-securityhub` version is the same as related `aiobotocore`
version and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/)
format.

<a id="thank-you"></a>

## Thank you

- [Allie Fitter](https://github.com/alliefitter) for
  [boto3-type-annotations](https://pypi.org/project/boto3-type-annotations/),
  this package is based on top of his work
- [black](https://github.com/psf/black) developers for an awesome formatting
  tool
- [Timothy Edmund Crosley](https://github.com/timothycrosley) for
  [isort](https://github.com/PyCQA/isort) and how flexible it is
- [mypy](https://github.com/python/mypy) developers for doing all dirty work
  for us
- [pyright](https://github.com/microsoft/pyright) team for the new era of typed
  Python

<a id="documentation"></a>

## Documentation

All services type annotations can be found in
[aiobotocore docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_securityhub/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder/issues/)
repository.
